ns-internals {base} | R Documentation

## Namespace Internals

### Description

Internal namespace support functions. Not intended to be called directly.

### Usage

    asNamespace(ns, base.OK = TRUE)
    getNamespaceInfo(ns, which)
    importIntoEnv(impenv, impnames, expenv, expnames)
    isBaseNamespace(ns)
    isNamespace(ns)
    namespaceExport(ns, vars)
    namespaceImport(self, ...)
    namespaceImportFrom(self, ns, vars, generics, packages)
    namespaceImportClasses(self, ns, vars)
    namespaceImportMethods(self, ns, vars)
    packageHasNamespace(package, package.lib)
    parseNamespaceFile(package, package.lib, mustExist = TRUE)
    registerS3method(genname, class, method, envir = parent.frame())
    registerS3methods(info, package, env)
    setNamespaceInfo(ns, which, val)
    .mergeExportMethods(new, ns)
    .mergeImportMethods(impenv, expenv, metaname)
    .knownS3Generics
    loadingNamespaceInfo()

### Arguments

`ns` | string or namespace environment.
`base.OK` | logical.
`impenv` | environment.
`expenv` | namespace environment.
`vars` | character vector.
`generics` | optional character vector.
`self` | namespace environment.
`package` | string naming the package/namespace to load.
`packages` | vector of package names parallel to `generics`.
`package.lib` | character vector specifying library.
`mustExist` | logical.
`genname` | character.
`class` | character.
`envir, env` | environment.
`info` | a 3-column character matrix.
`which` | character.
`val` | any object.
`...` | character arguments.
`metaname` | the methods table name.

### Details

`packageHasNamespace` does not indicate if the package has a namespace, rather if it has a ‘NAMESPACE’ file, which `base` and many older packages do not. But then you are not intended to be using it ....

### Author(s)

Luke Tierney

[Package base version 2.15.1 Index]